//+-------------------------------------------------------------------------------------------+
//|                                                                     FXParaziteScalper.mq4 |
//|                                                             Copyright  2008, FOREXflash. |
//|                                                                 http://www.metaquotes.net |
//+-------------------------------------------------------------------------------------------+
#property copyright "Copyright  2008, FOREXflash"
#property link      "http://www.metaquotes.net"
#include <stdlib.mqh>
#include <stderror.mqh>
#include <WinUser32.mqh> 
//+-------------------------------------------------------------------------------------------+

extern  bool    use_hidden_stop_loss = false;
extern int      hidden_sl    = 100;
extern  bool    use_hidden_take_profit = true;
extern  int     hidden_tp1    = 4;
extern  int     hidden_tp2    = 2;
extern  int     hidden_tp3    = 1;
extern  int     hidden_tp4    = 0;
extern  int     reduce_time1   = 300; // in Seconds
extern  int     reduce_time2   = 600; // in Seconds
extern  int     reduce_time3   = 1200; // in Seconds
extern  int     Slippage = 0;
//+-------------------------------------------------------------------------------------------+

void hidden_take_profit()
{
  int totalorders = OrdersTotal();
  for(int i=totalorders-1;i>=0;i--)
 {
    OrderSelect(i, SELECT_BY_POS);
    bool result = false;
    if ( OrderSymbol()==Symbol()  )
     {
  if (CurTime()-OrderOpenTime()<=reduce_time1 && OrderType() == OP_BUY &&  OrderOpenPrice()+hidden_tp1*Point<=Bid ) OrderClose( OrderTicket(), OrderLots(), MarketInfo(OrderSymbol(), MODE_BID), Slippage, Red );
  if (CurTime()-OrderOpenTime()>reduce_time1 && CurTime()-OrderOpenTime()<=reduce_time2 &&OrderType() == OP_BUY &&  OrderOpenPrice()+hidden_tp2*Point<=Bid ) OrderClose( OrderTicket(), OrderLots(), MarketInfo(OrderSymbol(), MODE_BID), Slippage, Red );
  if (CurTime()-OrderOpenTime()>reduce_time2 && CurTime()-OrderOpenTime()<=reduce_time3 &&OrderType() == OP_BUY &&  OrderOpenPrice()+hidden_tp3*Point<=Bid ) OrderClose( OrderTicket(), OrderLots(), MarketInfo(OrderSymbol(), MODE_BID), Slippage, Red );
  if (CurTime()-OrderOpenTime()>reduce_time3 && OrderType() == OP_BUY &&  OrderOpenPrice()+hidden_tp4*Point<=Bid ) OrderClose( OrderTicket(), OrderLots(), MarketInfo(OrderSymbol(), MODE_BID), Slippage, Red );
  
  if (CurTime()-OrderOpenTime()<=reduce_time1 && OrderType() == OP_SELL &&  OrderOpenPrice()-hidden_tp1*Point>=Ask  ) OrderClose( OrderTicket(), OrderLots(), MarketInfo(OrderSymbol(), MODE_ASK), Slippage, Red );
  if (CurTime()-OrderOpenTime()>reduce_time1 && CurTime()-OrderOpenTime()<=reduce_time2 && OrderType() == OP_SELL &&  OrderOpenPrice()-hidden_tp2*Point>=Ask  ) OrderClose( OrderTicket(), OrderLots(), MarketInfo(OrderSymbol(), MODE_ASK), Slippage, Red );
  if (CurTime()-OrderOpenTime()>reduce_time2 && CurTime()-OrderOpenTime()<=reduce_time3 && OrderType() == OP_SELL &&  OrderOpenPrice()-hidden_tp3*Point>=Ask  ) OrderClose( OrderTicket(), OrderLots(), MarketInfo(OrderSymbol(), MODE_ASK), Slippage, Red );
  if (CurTime()-OrderOpenTime()>reduce_time3 && OrderType() == OP_SELL &&  OrderOpenPrice()-hidden_tp4*Point>=Ask  ) OrderClose( OrderTicket(), OrderLots(), MarketInfo(OrderSymbol(), MODE_ASK), Slippage, Red );
  
      }
  }
  return;
}
//+-------------------------------------------------------------------------------------------+
void hidden_stop_loss()
{
  int totalorders = OrdersTotal();
  for(int i=totalorders-1;i>=0;i--)
 {
    OrderSelect(i, SELECT_BY_POS);
    bool result = false;
    if ( OrderSymbol()==Symbol()  )
     {
  if (OrderType() == OP_BUY &&  OrderOpenPrice()-hidden_sl*Point>=Bid )  result = OrderClose( OrderTicket(), OrderLots(), MarketInfo(OrderSymbol(), MODE_BID), 5, Red );
  if (OrderType() == OP_SELL &&  OrderOpenPrice()+hidden_sl*Point<=Ask  )  result = OrderClose( OrderTicket(), OrderLots(), MarketInfo(OrderSymbol(), MODE_ASK), 5, Red );
  
      }
  }
  return;
}
//+-------------------------------------------------------------------------------------------+
//| expert initialization function                                                            |
//+-------------------------------------------------------------------------------------------+

int init()
  {
//----

//----
   return(0);
  }
  
//+-------------------------------------------------------------------------------------------+
//| expert deinitialization function                                                          |
//+-------------------------------------------------------------------------------------------+

int deinit()
  {
//---- 

//----
   return(0);
  }

//+-------------------------------------------------------------------------------------------+
//| expert start function                                                                     |
//+-------------------------------------------------------------------------------------------+

int start()
{
//----
if (use_hidden_take_profit)       hidden_take_profit();
if (use_hidden_stop_loss)       hidden_stop_loss();
//----
   return(0);
}


//+-------------------------------------------------------------------------------------------+

